Sketchup 开发 环境的搭建
没有 autocad下的 vlide。在sketchup中开发插件,如果只用ruby控制台的话会累死人的。
为了便于编写和调试ruby程序,可以使用 scite+sketchup bridge。
bridge 下载
scite下载
http://www.scintilla.org/ScintillaDownload.html
或者 看一下这篇文章
http://developer.51cto.com/art/200906/126846.htm
这个是您以前开发的动态复制程序,在CAD2013中会出错,能麻烦你帮忙改一下吗?万分感谢!因为这个程序太好用了,高版本CAD不能用就太可惜了。
;_仿sketchup动态复制程序
(defun c:CE (/ p1 p2 s e cn a1 d1 ns cnn)
;__________________
(defun ttt (ss n / m)
(setq ee e
ns (ssadd)
)
(while (setq ee (entnext ee))
(setq ns (ssadd ee ns))
)
(command "erase" ns "")
(command "copy" ss "" "m" "non" p1)
(if (member (substr n (strlen n)) '("/" "*"))
(progn
(setq m 0)
(repeat (atoi n)
(setq m (1+ m))
(cond
((= "/" (substr n (strlen n)))
(command "non"(mapcar '(lambda (x y) (+ x (* m (/ (- y x) (atof n))))) p1 p2))
)
((= "*" (substr n (strlen n)))
(command "non"(mapcar '(lambda (x y) (+ x (* m (- y x)))) p1 p2))
)
)
)
)
(command "non" (setq p2 (polar p1 a1 (atof n))))
)
(command)
)
;__________________
(princ "\n选择要复制的物体:")
(setq s (ssget))
(setq p1 (getpoint "\n复制的起点:"))
(command "undo" "be" "line" p1 p1 "" )
(setq e (entlast) )
(command "copy" s "" "non" p1 pause)
(setq p2 (getvar "lastpoint")
a1 (angle p1 p2)
d1 (distance p1 p2)
)
(setq cn "1*")
(while cn
(ttt s cn)
(initget 128)
(princ "\n输入坐标=复制终点 输入数值=修改间距 ")
(princ "\n输入数值n并以 / 结束=间距内等分n次复制 输入数值n并以 * 结束=按间距复制n次 ")
(setq cnn (getpoint "\n请按提示输入<退出>:"))
(if (= 'LIST (type cnn))
(setq p2 cnn
a1 (angle p1 p2)
d1 (distance p1 p2)
)
(setq cn cnn)
)
)
(entdel e)
(command "undo" "e")
(princ)
) 我是老客户了,2012年最早编的几个程序就是在这里学的。晓东停摆几年以后,也不登陆了。无奈以前的密码找不到,邮箱也换了。现在变成了可怜的新用户!
页:
[1]